Validate Code Coverage of a Package

Task Id

Version

sfpwowerscript-validatetestcoveragepackage-task

4.0.15

This task is used to validate the code coverage of a second generation package.

Prerequisites

Install SFDX CLI with sfpowerkit task must be added to the pipeline before utilizing this task

Task Snapshot

Parameters

Input Parameters
Output Parameters
YAML example
Input Parameters

Classic Designer Labels are in Bold, YAML Variables are in italics

  • Alias or username of the DevHub / target_org The alias or username of the target org

  • Code coverage % to be validated / test_coverage The percentage of the code coverage that should be validated

  • Package Version Id / package_version_id The version of the package which should be validated for code coverage

Output Parameters

None

YAML example

If you are using this task after 'Create Unlocked Package', utilize the output variable to reference the package version id

Changelog

  • 4.0.9 Update Core dependency

  • 4.0.5

    • Remove Telemetry Collection

    • Updated with to match latest version of sfpowerscripts

  • 3.0.9 Refactored to use revamped folder structure

  • 2.0.1 Updated with telemetry

  • 1.0.0 Initial Version

Edit on GitHub